<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="delip" xml:lang="fr"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>

  <refnamediv>
    <refname>delip</refname>

    <refpurpose>intégrale elliptique complete ou incomplete du premier
    type</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Séquence d'appel</title>

    <synopsis>[r]=delip(x,ck)</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Paramètres</title>

    <variablelist>
      <varlistentry>
        <term>x</term>

        <listitem>
          <para>vecteur réel à éléments non négatifs</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>ck</term>

        <listitem>
          <para>scalaire entre -1 et 1</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>r</term>

        <listitem>
          <para>réel ou complexe (ou vecteur)</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>L'integrale élliptique du premier type pour le paramètre
    <literal>ck</literal> est définie par:</para>

    <para><inlinemediaobject>
        <imageobject>
          <imagedata>
            <mml:math>
            <mml:semantics> <mml:mrow> <mml:munderover> <mml:mo
            mml:stretchy="false">∫</mml:mo> <mml:mn>0</mml:mn>
            <mml:mi>x</mml:mi> </mml:munderover> <mml:mfrac> <mml:mi
            mml:fontstyle="italic">dt</mml:mi> <mml:msqrt> <mml:mrow>
            <mml:mrow> <mml:mo mml:stretchy="false">(</mml:mo> <mml:mrow>
            <mml:mn>1</mml:mn> <mml:mo mml:stretchy="false">−</mml:mo>
            <mml:msup> <mml:mi>t</mml:mi> <mml:mn>2</mml:mn> </mml:msup>
            </mml:mrow> <mml:mo mml:stretchy="false">)</mml:mo> </mml:mrow>
            <mml:mrow> <mml:mo mml:stretchy="false">(</mml:mo> <mml:mrow>
            <mml:mrow> <mml:mn>1</mml:mn> <mml:mo
            mml:stretchy="false">−</mml:mo> <mml:msubsup> <mml:mi>c</mml:mi>
            <mml:mi>k</mml:mi> <mml:mn>2</mml:mn> </mml:msubsup> </mml:mrow>
            <mml:msup> <mml:mi>t</mml:mi> <mml:mn>2</mml:mn> </mml:msup>
            </mml:mrow> <mml:mo mml:stretchy="false">)</mml:mo> </mml:mrow>
            </mml:mrow> </mml:msqrt> </mml:mfrac> </mml:mrow> <mml:annotation
            mml:encoding="StarMath 5.0">int from{0} to{x} {{dt} over sqrt{
            (1-t^2)(1-c_k^2 t^2)}}</mml:annotation>
            </mml:semantics></mml:math>
          </imagedata>
        </imageobject>
      </inlinemediaobject></para>

    <para>Où <literal>x</literal> est réel et positif,<literal>ck</literal>
    est dans l'intervalle <literal>[-1 1]</literal>.</para>

    <para>Si <literal>x</literal> est plus petit ou égal a 1 le resultat est
    réel</para>

    <para>Quand <literal>x</literal> est un vecteur <literal>r</literal> est
    évalué pour chaque composante de <literal>x</literal>.</para>
  </refsection>

  <refsection>
    <title>Exemples</title>

    <programlisting role="example"><![CDATA[ 
ck=0.5;
delip([1,2],ck)
deff('y=f(t)','y=1/sqrt((1-t^2)*(1-ck^2*t^2))')
intg(0,1,f)    // OK puisque la solution est réelle !
 ]]></programlisting>
  </refsection>

  <refsection>
    <title>Voir Aussi</title>

    <simplelist type="inline">
      <member><link linkend="amell">amell</link></member>

      <member><link linkend="asn">%asn</link></member>

      <member><link linkend="sn">%sn</link></member>
    </simplelist>
  </refsection>
</refentry>
